ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alejandro Fernandez" <afernan...@hortonworks.com>
Subject Review Request 31014: RU - Include Spark in Upgrade Pack
Date Fri, 13 Feb 2015 18:38:46 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/31014/
-----------------------------------------------------------

Review request for Ambari, Jonathan Hurley, Nate Cole, and Tom Beerbower.


Bugs: AMBARI-9635
    https://issues.apache.org/jira/browse/AMBARI-9635


Repository: ambari


Description
-------

Include Spark in upgrade pack


Diffs
-----

  ambari-server/src/main/resources/common-services/SPARK/1.2.0.2.2/package/scripts/job_history_server.py
06389c7 
  ambari-server/src/main/resources/common-services/SPARK/1.2.0.2.2/package/scripts/params.py
8189039 
  ambari-server/src/main/resources/common-services/SPARK/1.2.0.2.2/package/scripts/spark_client.py
2391286 
  ambari-server/src/main/resources/stacks/HDP/2.2/upgrades/upgrade-2.2.xml 5305b1f 

Diff: https://reviews.apache.org/r/31014/diff/


Testing
-------

Tested on a 3-node cluster that did an upgrade from HDP 2.2.2* to HDP 2.2.2.*, since Spark
requires HDP 2.2.1 or greater.
Installing the Spark bits did not create the folder in /usr/hdp/$version/spark, so I copied
the files manually.


Thanks,

Alejandro Fernandez


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message